> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieves the transaction logs for a specific transaction, optionally including the log content.

> Retrieves the transaction logs for a specific transaction, optionally including the log content.



## OpenAPI

````yaml 26.3/self-hosted/en/api-reference/openapi.json POST /getTransactionLogs
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.3.9712.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /getTransactionLogs:
    post:
      tags:
        - getTransactionLogs
      summary: >-
        Retrieves the transaction logs for a specific transaction, optionally
        including the log content.
      description: >-
        Retrieves the transaction logs for a specific transaction, optionally
        including the log content.
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/getTransactionLogs_input'
        required: true
      responses:
        '200':
          description: The action result
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTransactionLogs_output'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    getTransactionLogs_input:
      type: object
      required:
        - ConnectorId
        - MessageId
        - Direction
      properties:
        ConnectorId:
          type: string
          description: The Id of the connector whose transaction logs you want to retrieve.
        MessageId:
          type: string
          description: >-
            The message Id for the specific transaction whose logs you want to
            retrieve.
        Direction:
          type: string
          description: Specifies whether to retrieve logs for sent or received files.
        WorkspaceId:
          type: string
          description: >-
            The Id of the workspace containing the connector whose transaction
            logs you want to retrieve.
        Type:
          type: string
          description: >-
            Specifies which type of log file to retrieve. The type is directly
            related to the file type in the transaction. Available values are
            'ACK, Async MDN, Attachment, CEM, Data, EERP, Email Message, Error,
            Etag, Headers, Log, MDN, Message Content, Message, Name, NERP,
            Receipt, REF, Request, Response, Transformation Input,
            Transformation Output, Warning, Unknown'.
        IncludeContent:
          type: string
          description: >-
            When set to True, returns the actual content of the log file in the
            response. When False, returns only metadata about the log file. The
            default is False.
          default: 'False'
        PortId:
          type: string
          description: The Id of the port.
    getTransactionLogs_output:
      type: array
      items:
        type: object
        properties:
          TimeCreated:
            type: string
            description: The date and time the log file was created.
          Type:
            type: string
            description: The type of the log file.
          File:
            type: string
            description: The name of the log file.
          Path:
            type: string
            description: The full path to the log file.
          Content:
            type: string
            description: The Base64-encoded content of the log file.
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````